Skip to main content
GET
https://{tenantDomain}/api/v2
/
experimentation
/
segments
List segments for the tenant.
curl --request GET \
  --url https://{tenantDomain}/api/v2/experimentation/segments \
  --header 'Authorization: Bearer <token>'
{
  "segments": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "self",
      "rules": [
        {
          "match": {
            "client_id": [
              "<string>"
            ],
            "connection": [
              "<string>"
            ],
            "connection_type": [
              "<string>"
            ],
            "organization_id": [
              "<string>"
            ],
            "domain": [
              "<string>"
            ],
            "device_type": [
              "<string>"
            ],
            "browser": [
              "<string>"
            ],
            "platform": [
              "<string>"
            ],
            "user_agent": [
              "<string>"
            ],
            "country": [
              "<string>"
            ],
            "region": [
              "<string>"
            ]
          },
          "not_match": {
            "client_id": [
              "<string>"
            ],
            "connection": [
              "<string>"
            ],
            "connection_type": [
              "<string>"
            ],
            "organization_id": [
              "<string>"
            ],
            "domain": [
              "<string>"
            ],
            "device_type": [
              "<string>"
            ],
            "browser": [
              "<string>"
            ],
            "platform": [
              "<string>"
            ],
            "user_agent": [
              "<string>"
            ],
            "country": [
              "<string>"
            ],
            "region": [
              "<string>"
            ]
          }
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  ],
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://auth0.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of segments to return per page. Defaults to 25, maximum 50.

Required range: 1 <= x <= 50
type
enum<string>

Filter by type. Exact match.

Available options:
auth0,
self

Response

Segments successfully retrieved.

segments
object[]
required
next
string

Checkpoint token for the next page. Omitted when there are no further results.